package tech.riemann.ims.entity.material;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.media.Schema.RequiredMode;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;
import lombok.experimental.FieldNameConstants;
import lombok.experimental.SuperBuilder;
import org.nutz.dao.entity.annotation.ColDefine;
import org.nutz.dao.entity.annotation.Column;
import org.nutz.dao.entity.annotation.Comment;
import org.nutz.dao.entity.annotation.Table;
import tech.riemann.ims.entity.IdBaseEntity;

import java.io.Serial;

/**
 * 盘点审核表
 *
 * @author mayong)
 *
 * @since 2024-12-06 10:32:29
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@FieldNameConstants
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("t_stocktaking_audit")
@Table("t_stocktaking_audit")
@Comment("盘点审核表")
@Schema(name = "StocktakingAudit", description = "盘点审核表")
public class StocktakingAudit extends IdBaseEntity{

    @Serial
    private static final long serialVersionUID = 1L;

    @Schema(description = "申请单id", requiredMode = RequiredMode.NOT_REQUIRED)
    @TableField("s_apply_id")
    @Column("s_apply_id")
    @Comment("申请单id")
    @ColDefine(notNull = false, width = 10, precision = 0)
    private Integer applyId;

    @Schema(description = "盘点审核人", requiredMode = RequiredMode.NOT_REQUIRED)
    @TableField("s_reviewer")
    @Column("s_reviewer")
    @Comment("盘点审核人")
    @ColDefine(notNull = false, width = 128, precision = 0)
    private String reviewer;

    @Schema(description = "盘点审核结果(0-通过 1-不通过 2-待审核 3-退回重新盘点)", requiredMode = RequiredMode.NOT_REQUIRED)
    @TableField("s_review_result")
    @Column("s_review_result")
    @Comment("盘点审核结果(0-通过 1-不通过 2-待审核 3-退回重新盘点)")
    @ColDefine(notNull = false, width = 128, precision = 0)
    private String reviewResult;
}